# Uses of Class
net.shibboleth.idp.installer.impl.UpdateIdPArguments

Packages that use UpdateIdPArguments
Package
Description
net.shibboleth.idp.installer.impl
Implementation classes for installation.

## Uses of UpdateIdPArguments in net.shibboleth.idp.installer.impl

Methods in net.shibboleth.idp.installer.impl that return types with arguments of type UpdateIdPArguments
Modifier and Type
Method
Description
`protected Class<UpdateIdPArguments>`
UpdateIdPCLI.`getArgumentClass()`
Methods in net.shibboleth.idp.installer.impl with parameters of type UpdateIdPArguments
Modifier and Type
Method
Description
`private int`
UpdateIdPCLI.`checkSignature(UpdateIdPArguments args, String fileName)`
Check the signature of the downloaded distribution.
`private int`
UpdateIdPCLI.`checkUpdate(UpdateIdPArguments args, InstallableComponentInfo info, boolean doDownload)`
Check for a potential upgrade, then download if that was requested.
`protected int`
UpdateIdPCLI.`doRun(UpdateIdPArguments args)`
`private int`
UpdateIdPCLI.`download(UpdateIdPArguments args, InstallableComponentVersion version, InstallableComponentInfo info)`
Download the provided or inferred version.
`private int`
UpdateIdPCLI.`list(UpdateIdPArguments args, InstallableComponentInfo info)`
List all available versions.